Data Fields
cargo_config_t Struct Reference

Configuration struct for cargo. More...

`#include <example_cargo.h>`

## Data Fields
uint32_t | magic
cargo_container_size_t | container_size
bool | activate_utilization_level
struct {
float signal_quality
float threshold_sensitivity
} | utilization
bool | activate_presence
struct {
float update_rate
uint16_t sweeps_per_frame
float signal_quality
float inter_detection_threshold
float intra_detection_threshold
bool rate_is_app_driven
} | presence

## Detailed Description

Configuration struct for cargo.

Definition at line 43 of file example_cargo.h.

## Field Documentation

## ◆ activate_presence

bool cargo_config_t::activate_presence

Definition at line 68 of file example_cargo.h.

## ◆ activate_utilization_level

bool cargo_config_t::activate_utilization_level

Definition at line 49 of file example_cargo.h.

## ◆ container_size

cargo_container_size_t cargo_config_t::container_size

Definition at line 47 of file example_cargo.h.

## ◆ inter_detection_threshold

float cargo_config_t::inter_detection_threshold

Detection threshold for the inter-frame presence detection

Definition at line 91 of file example_cargo.h.

## ◆ intra_detection_threshold

float cargo_config_t::intra_detection_threshold

Detection threshold for the intra-frame presence detection.

Definition at line 96 of file example_cargo.h.

## ◆ magic

uint32_t cargo_config_t::magic

Definition at line 45 of file example_cargo.h.

## ◆ presence

struct { ... } cargo_config_t::presence

## ◆ rate_is_app_driven

bool cargo_config_t::rate_is_app_driven

Whether the Presence's frame rate should be app driven. See acc_detector_presence_config_frame_rate_app_driven_set

Definition at line 102 of file example_cargo.h.

## ◆ signal_quality

float cargo_config_t::signal_quality

Signal quality (dB). High quality equals higher HWAAS and better SNR but increases power consumption.

Definition at line 57 of file example_cargo.h.

## ◆ sweeps_per_frame

uint16_t cargo_config_t::sweeps_per_frame

Number of sweeps per frame.

Definition at line 80 of file example_cargo.h.

## ◆ threshold_sensitivity

float cargo_config_t::threshold_sensitivity

Sensitivity of threshold.

High sensitivity equals low detection threshold, low sensitivity equals high detection threshold.

Definition at line 65 of file example_cargo.h.

## ◆ update_rate

float cargo_config_t::update_rate

Sets the presence detector update rate (Hz).

Definition at line 75 of file example_cargo.h.

## ◆ utilization

struct { ... } cargo_config_t::utilization

The documentation for this struct was generated from the following file:

- Inc/example_cargo.h